close all
clear all

size = 1000;

y = zeros(size,size);

c=343;
labda=343/1000;

kappa = 2*pi/labda;
width = 10;
for j = 1:size
    for k = 1:size
        
        r1 = sqrt((80-k)^2+(200-j)^2);
        r2 = sqrt((80-k)^2+(300-j)^2);
        y(j,k)=1/r1*exp(-i*r1*kappa)+1/r2*exp(-i*r2*kappa);
        
    end
end
% pcolor(0:1:size-1,0:1:size-1,real(y)); shading interp;colorbar;axis equal
% contourcmap('jet',-.05:0.01:0.05, 'Colorbar', 'off', ...
%    'Location', 'horizontal', ...
%    'TitleString', 'Contour Intervals in 3dB step');
figure
pcolor(0:1:size-1,0:1:size-1,abs(y)); shading interp;colorbar;axis equal
contourcmap('jet',-60:3:0, 'Colorbar', 'off', ...
   'Location', 'horizontal', ...
   'TitleString', 'Contour Intervals in 3dB step');
